---------------------------------------------------------
--	Broker Battle for Azeroth Currencies
---------------------------------------------------------
local	Currencies = {
-- Currencies BFA
	{ id = 1299, category = "Currency"}, 	-- Brawlers Gold
	{ id = 1560, category = "Currency"}, 	-- War Resources
	{ id = 1565, category = "Currency"}, 	-- Rich Azerite Fragment
	{ id = 1580, category = "Currency"}, 	-- Seal of Wartorn Fate
	{ id = 1587, category = "Currency"}, 	-- War Supplies
	{ id = 1710, category = "Currency"}, 	-- Seafarer's Dubloon
	{ id = 1716, category = "Currency"}, 	-- Honorbound Service Medal
	{ id = 1717, category = "Currency"}, 	-- 7th Legion Service Medal
	{ id = 1718, category = "Currency"}, 	-- Titan Residuum
	{ id = 1721, category = "Currency"}, 	-- Prismatic Manapearl
}
local	Info = CreateFrame("frame")
	---------------------------------------------------------
	--	Event Functions
	---------------------------------------------------------
	Info:SetScript("OnEvent", function(self, event, ...)
		for i = 1, #Currencies do
			if Currencies[i].type == "item" then
	--			CurrencyAmount	= GetItemCount(Currencies[i].id, true)
				CurrencyTotal = GetItemCount(Currencies[i].id, true)  or 0
				CurrencyBags = GetItemCount(Currencies[i]) or 0
				CurrencyBank = CurrencyTotal - CurrencyBags
				CurrencyAmount = CurrencyTotal
				CurrencyName, _, _, _, _, _, _, _, _, CurrencyTexture = GetItemInfo(Currencies[i].id)
			else
				CurrencyName, CurrencyAmount, CurrencyTexture = GetCurrencyInfo(Currencies[i].id)
			end

			if CurrencyAmount < 1 then 
			else
				local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
				local dataobj = ldb:GetDataObjectByName(CurrencyName) or ldb:NewDataObject(CurrencyName, {type = "data source", label = "", icon = "", text = "",})
				dataobj.label	= "(BFA) " .. CurrencyName
				dataobj.text	= CurrencyAmount
				dataobj.icon	= CurrencyTexture

				dataobj.OnClick = function(self, button) ToggleCharacter("TokenFrame")	end
				
				dataobj.OnEnter = function(self)
					if (not inCombat or inCombat == "block") and InCombatLockdown() then return end
					if Currencies[i].type == "item" then
			--			CurrencyAmount	= GetItemCount(Currencies[i].id, true)
						CurrencyTotal = GetItemCount(Currencies[i].id, true)
						CurrencyBags = GetItemCount(Currencies[i])
						CurrencyBank = CurrencyTotal - CurrencyBags
						CurrencyAmount = " Bag: " .. CurrencyBags .. " / Bank: " .. CurrencyBank

						CurrencyName, _, _, _, _, _, _, _, _, CurrencyTexture = GetItemInfo(Currencies[i].id)
					else
						CurrencyName, CurrencyAmount, CurrencyTexture = GetCurrencyInfo(Currencies[i].id)
					end

					GameTooltip:SetOwner(self, "ANCHOR_BOTTOM")
					GameTooltip:SetText("|cffC80000 (D) BFA|r |cff0080FF " ..CurrencyName .. "|r LDB Display")
					GameTooltip_AddBlankLinesToTooltip(GameTooltip, 0)
					GameTooltip:AddLine("",0.5,0.5,0.5)
					GameTooltip:AddLine("Left-click to toggle the Currency frame.")
					GameTooltip:Show()
				end
				dataobj.OnLeave = function(self) GameTooltip:Hide() end
			 end
		end
	end)
	Info:RegisterEvent("PLAYER_ENTERING_WORLD")
	Info:RegisterEvent("CURRENCY_DISPLAY_UPDATE")
	Info:RegisterEvent("BAG_UPDATE")
	Info:RegisterEvent("UNIT_INVENTORY_CHANGED")